#pragma once
#include "../Layer2Cueing/Layer2Cueing.h"

class Layer3TacticalRecognition : public Process
{
public:
  Layer3TacticalRecognition(Layer2Cueing& layer2Cueing)
    : Process(Spar)
    , m_layer2Cueing(layer2Cueing)
  {
  }

  void onFrame() {}
protected:
  virtual void onStart() {}
  virtual void onEnd() {}

  virtual void _output(std::ostream& out) const
  {
    out << "Layer 3 Sensing - Tactical recognition";
  }

  Layer2Cueing& m_layer2Cueing;
};
